<?php

namespace App\Models\Service;

use App\Traits\NextKey;

class Voip extends \App\Models\Base\ServiceType
{
	use NextKey;

	const RECORD_ID = 'service__adsl';

	protected $table = 'ab_service__voip';

	public function getFullNameAttribute()
	{
		return ($this->service_number AND $this->service_address)
			? sprintf('%s: %s',$this->service_number, $this->service_address)
			: $this->name;
	}

	public function getNameAttribute()
	{
		return $this->service_number;
	}
}